' "Kenny's Christmas Presents"
' Created with QDK 3.02

define game <Kenny's Christmas Presents>
	asl-version <300>
	start <Plane>
	game author <Samuel Crisp>
	game version <1.00>
	game copyright <Copywrite 2002>
	game info <One of Kenny's many Nightmares and Wonderlands!>
	startscript playmidi <spanflea.mid>
error <badcommand;Huh?>
error <badthing;Where and what is that?>
error <badplace;Where is that?>
error <defaultuse;Can't use it.>
error <cantdrop;I don't want to throw it away, I may as well trade it if I want to get rid of it.>
error <noitem;I might need that if I want to use it.>
error <badexamine;Yeah I will sxamine my imagination.>
error <badgo;Go where?>
error <badgive;Who am I giving it to?>
error <badlook;Look at What?>
error <baduse;What did you tell me to use?>
error <badtake;I'm not gonna pick that up.>
error <baditem;Not avalible now.>
error <baddrop;I might want to pick it up first.>
error <defaultout;Go out where?>
error <defaultdrop;Now I don't have it.>
error <defaultexamine;Nothing interesting to examine.>
error <defaultlook;I'm looking.>
error <defaultspeak;Hmm, No answer.>
error <defaulttake;Now I have it.>
end define

define synonyms
end define

define room <Plane>
	look <You are in the plane. You are just about to go sky diving and it is your turn.|nThe guider calls you over.>

	define object <Guider>
		alias <Guider>
		look msg <He is calling you over.>
		speak if got <Video> then say <Enjoy the Video!> else {
			say <Okay, Let's get down.>
			goto <Mid-Air>
		}
		displaytype <person>
		article <it>
		gender <he>
	end define

	indescription  <You are in the:>
end define

define room <Mid-Air>
	look <Yee Ha! You are falling down.|nAfter a while the guider pull's out the parichute.>
	place <Toddney Town> {
		goto <Toddney Town>
		move <Guider; Toddney Town>
		msg <"That was very fun. Here's your video." says the guider and hand's you the video.>
		give <Video>
	}
	place <Field> {
		goto <Field>
		move <Guider; Field>
		msg <"That was very fun. Here's your video." says the guider and hand's you the video.>
		give <Video>
	}
	place <Farm> {
		goto <Farm>
		move <Guider; Farm>
		msg <"That was very fun. Here's your video." says the guider and hand's you the video.>
		give <Video>
	}
	indescription  <You are in:>
end define

define room <Toddney Town>
	south <Farm>
	west <Field>
	northeast <Front Yard>
	indescription  <You are in:>
end define

define room <Field>
	east <Toddney Town>
	southeast <Farm>

	define object <Boulder>
		look msg <It's big!>
		speak msg <It can't talk.>
		article <it>
		gender <it>
	end define

	define object <Cactus>
		displaytype <Plant>
		article <it>
		gender <it>
		use <Empty Pot> {
			msg <You put the cactus in the pot.>
			give <Cactus in Pot>
			lose <Empty Pot>
			move <Empty Pot; Cactus/Pot_Inventory>
			move <Cactus; Cactus/Pot_Inventory>
		}
	end define

	indescription  <You are in a:>
end define

define room <Farm>
	alias <Johnny's Farm>
	north <Toddney Town>
	south <Johnny's House>
	northwest <Field>

	define object <Empty Pot>
		look msg <It is an empty pot.>
		take
		speak msg <Your voice echos. (That dosen't mean it can talk.)>
		article <it>
		gender <it>
	end define

	define object <Johnny>
		speak if got <Rake> or got <Gum> then say <Hello There Johnny!> else if ask <Hello Ken! Can you take care of the farm while I have dinner?> then {
			msg <You are taking care of the farm.|nI sholdn't go any where exept Johnny's House (south).>
			create exit north <Farm; Farm>
			create exit northwest <Farm; Farm>
			move <Johnny; Johnny's House>
			give <Rake>
			timeron <animals>
		}
		else say <Oh Well.>
		suffix < your uncle>
		displaytype <person>
		article <him>
		gender <he>
	end define

	indescription  <You are in:>
end define

define room <Cactus/Pot_Inventory>

	define object <Cactus in Pot>
		look msg <It is a cactus in a pot.>
		take say <Please don't take it, it's Beutiful.>
		speak msg <It say's nothing.>
		article <it>
		gender <it>
	end define

end define

define room <Guider_Inventory>

	define object <Video>
		look msg <It's the video of me skydiving.>
		speak msg <It will only make a sound if you use it with a VCR.>
		article <it>
		gender <it>
	end define

end define

define room <Front Yard>
	northeast <Lounge Room>
	southwest <Toddney Town>

	define object <Dog>
		alias <Sharlet Tom-Tom>
		look msg <It's our dog.>
		take msg <You pick her up and pat her. But  she doesn't wan't to be taken.>
		speak say <Woof!>
		displaytype <animal>
		article <her>
		gender <she>
	end define

	define object <Roof Gutter>
		prefix <the>
		suffix <around the roof>
		article <it>
		gender <it>
		use <Rake> goto <House Roof>
	end define

	indescription  <You are in your:>
end define

define room <Lounge Room>
	out <Front Yard>
	south <Little Brother's Room>
	east <Brother's Room>
	west <Sister's Bedroom>
	northwest <Parent's Bedroom>
	northeast <Kitchen/Dining Room>
	southwest <Front Yard>
	southeast <Your Bedroom>

	define object <TV>
		article <it>
		gender <it>
	end define

	define object <VCR>
		look msg <It's a brand new VCR.>
		speak msg <You cant speak to a VCR.>
		article <it>
		gender <it>
		use <Video> {
			msg <He, He! There's me!|nMum comes in the the lounge room and start's watching the video.>
			move <Mum; Lounge Room>
		}
	end define

	indescription  <You are in the:>
end define

define room <Your Bedroom>
	northwest <Lounge Room>

	define object <Bed>
		look msg <My messy bed.>
		speak msg <No vocal chords. >
		article <it>
		gender <it>
	end define

	indescription  <You are in:>
end define

define room <Parent's Bedroom>
	southeast <Lounge Room>

	define object <Mum>
		look if here <TV> then msg <She is watching TV.> else msg <She is in bed.>
		speak say <Hello sweety!>
		displaytype <person>
		article <her>
		gender <she>
		give <Cactus in Pot> {
			say <Oh, it's Beautiful! Here Have a Christmas Card.>
			lose <Cactus in Pot>
			move <Cactus in Pot; Mum_Inventory>
			give <Mum's Card>
			if got <Mum's Card> and got <Patrick's Card> and got <Gen's Card> and got <Berden's Card> then {
				clear
				playerwin
			}
		}
		give <Advertizing Card> {
			msg <"Ohh, Brother's got a circus now, Eh? We better go!" says mum.>
			goto <Johnny's Circus>
			move <Mum; Johnny's Circus>
			timeron <circusover>
		}
	end define

	indescription  <You are in your:>
end define

define room <Kitchen/Dining Room>
	alias <Kitchen and Dining Room>
	southwest <Lounge Room>
	indescription  <You are in the:>
end define

define room <Johnny's House>
	out <Farm>

	define object <Painting>
		alias <Painting of Johnny's Father.>
		look msg <It's a picture of Johnny's Father.>
		speak msg <Try speaking to a painting in real life.>
	end define

	define object <Painting2>
		alias <Painting of Johnny's Grand Father.>
		look msg <It's a picture of Johnny's Grand Father.>
		speak msg <Try speaking to a painting in real life.>
	end define

	define object <Painting3>
		alias <Painting of Johnny's Great Grand Father.>
		look msg <It's a picture of Johnny's Great Grand Father.>
		speak msg <Try speaking to a painting in real life.>
	end define

	indescription  <You are in:>
end define

define room <Johnny_Inventory>

	define object <Rake>
		look msg <It's Johnny's old rusty rake.>
		speak msg <Rakes can't talk.>
		article <it>
		gender <it>
		drop nowhere <>
	end define

	define object <Gum>
		take
		prefix <a piece of>
		article <it>
		gender <it>
	end define

end define

define room <Johnny's Circus>
	north <Toddney Town>
	south <Johnny's House>
	northwest <Field>

	define object <Advertizing Card>
		look msg <It's for Johnny's Circus.>
		take
		prefix <an>
		suffix <for Johnny's Circus>
		article <it>
		gender <it>
	end define

	indescription  <You are in:>
end define

define room <House Roof>
	north <Neighbour's Yard>
	south <Front Yard>
	east <Toddney Town>
	west <Toddney Town>
	northwest <Neighbour's Yard>
	northeast <Neighbour's Yard>
	southwest <Front Yard>
	southeast <Front Yard>
	indescription  <You are on the:>
end define

define room <Neighbour's Yard>
	northwest <Hartwell Cottage>

	define object <Other side of your Roof Gutter>
		prefix <the>
		article <it>
		gender <it>
		use <Rake> goto <House Roof>
	end define

	define object <Plum Tree>
		take {
			give <Plums>
			msg <I took some plums off it.>
		}
		prefix <a>
		article <it>
		gender <it>
		use {
			msg <I took some plums off it.>
			give <Plums>
		}
	end define

	indescription  <You are in your:>
end define

define room <Plum_Tree>

	define object <Plums>
		take
		prefix <some>
		article <them>
		gender <their>
	end define

end define

define room <Hartwell Cottage>
	east <Lewis' Front Yard>
	southwest {
		msg <Hey, This leads back to the field!>
		goto <Field>
		create exit northeast <Field; Hartwell Cottage>
	}
	southeast <Neighbour's Yard>
	indescription  <You are in:>
end define

define room <Lewis' Front Yard>
	west <Hartwell Cottage>
	northeast <Lewis' Lounge Room>

	define object <Bob-Bob>
		look msg <It's Bob-Bob, Lewis' Guinie Pig.>
		displaytype <animal>
		article <him>
		gender <he>
	end define

	define object <Tom-Tom>
		look msg <It's Tom-Tom Lewis' other Guinie Pig.>
		article <her>
		gender <she>
	end define

	indescription  <You are in:>
end define

define room <Lewis' Lounge Room>
	out <Lewis' Front Yard>
	north <Lewis' Dining Room>
	east <Lewis' Study>
	west <Lewis' Room>
	northwest <Lewis' Parent's Room>
	northeast <Lewis' Kitchen>
	southwest <Lewis' Front Yard>
	southeast <Lewis' Back Yard>
	command <use stairs> goto <Lewis' Hallway>

	define object <Widescreen TV>
		prefix <a huge>
		suffix <with perfect focus>
		article <it>
		gender <it>
	end define

	define object <Stairs>
		prefix <a flight of>
		article <it>
		gender <it>
	end define

	indescription  <You are in:>
end define

define room <Lewis' Room>
	east <Lewis' Lounge Room>

	define object <Broken Air Conditiner Vent>
		prefix <a>
		article <it>
		gender <it>
		use <Ladder> goto <Lewis' Secret Room>
	end define

	indescription  <You are in:>
end define

define room <Lewis' Study>
	west <Lewis' Lounge Room>

	define object <Computer>
		prefix <a>
		article <it>
		gender <it>
	end define

	define object <Lewis' Brother>
		article <him>
		gender <he>
	end define

	indescription  <You are in:>
end define

define room <Lewis' Kitchen>
	southwest <Lewis' Lounge Room>

	define object <Key>
		take
		article <it>
		gender <it>
	end define

	indescription  <You are in:>
end define

define room <Lewis' Dining Room>
	south <Lewis' Lounge Room>
	east <Lewis' Kitchen>

	define object <Lewis' Sister>
		look msg <Sister's are always in the Dining Room.>
		article <her>
		gender <she>
	end define

	indescription  <You are in:>
end define

define room <Lewis' Back Yard>
	northwest <Lewis' Lounge Room>

	define object <Lewis>
		suffix < your best friend at school>
		article <him>
		gender <he>
	end define

	define object <Shed>
		prefix <a>
		article <it>
		gender <it>
		use msg <It's Locked.>
		use <Key> goto <Lewis' Shed>
	end define

	indescription  <You are in:>
end define

define room <Lewis' Parent's Room>
	southeast <Lewis' Lounge Room>

	define object <Lewis' Mum>
		look msg <She's in her bed.>
		speak say <Lewis is in the Back Yard.|nThat is southeast from the Lounge Room.>
		article <her>
		gender <she>
	end define

end define

define room <Lewis' Hallway>
	north <Lewis' Lounge Room>
	east <Lewis' Sister's Room>
	west <Lewis' Brother's Room>
	indescription  <You are in:>
end define

define room <Lewis' Brother's Room>
	out <Lewis' Hallway>
	east <Lewis' Hallway>
	indescription  <You are in:>
end define

define room <Lewis' Sister's Room>
	out <Lewis' Hallway>
	west <Lewis' Hallway>
	indescription  <You are in:>
end define

define room <Lewis' Shed>
	out <Lewis' Back Yard>

	define object <Ladder>
		take
		prefix <a>
		article <it>
		gender <it>
	end define

	indescription  <You are in:>
end define

define room <Lewis' Secret Room>
	out <Lewis' Room>

	define object <Electric Gutair>
		take
		article <it>
		gender <it>
	end define

	indescription  <You are in:>
end define

define room <Brother's Room>
	west <Lounge Room>

	define object <Patrick>
		look msg <He's Patrick, Your Brother.>
		displaytype <person>
		article <him>
		gender <he>
		give <Electric Gutair> {
			msg <Whoa, Far out Man! Thanks!|nHave a Card!>
			give <Patrick's Card>
			lose <Electric Gutair>
			move <Electric Gutair; Patrick_Inventory>
			if got <Mum's Card> and got <Patrick's Card> and got <Gen's Card> and got <Berden's Card> then {
				clear
				playerwin
			}
		}
	end define

	indescription  <You are in your:>
end define

define room <Sister's Bedroom>
	east <Lounge Room>

	define object <Gen>
		look msg <She's Gen, Your Sister.>
		displaytype <person>
		article <her>
		gender <she>
		give <Plums> {
			say <Thank's Ken, Merry Christmas!>
			lose <Plums>
			move <Plums; Gen_Inventory>
			give <Gen's Card>
			if got <Mum's Card> and got <Patrick's Card> and got <Gen's Card> and got <Berden's Card> then {
				clear
				playerwin
			}
		}
	end define

	indescription  <You are in your:>
end define

define room <Little Brother's Room>
	north <Lounge Room>

	define object <Berden>
		look msg <He's Berden, Your little brother.>
		article <him>
		gender <he>
		give <Gum> {
			msg <Cool, Gum! Thank's Ken!>
			lose <Gum>
			move <Gum; Berden_Inventory>
			give <Berden's Card>
			if got <Mum's Card> and got <Patrick's Card> and got <Gen's Card> and got <Berden's Card> then {
				clear
				playerwin
			}
		}
	end define

	indescription  <You are in your:>
end define

define room <Mum_Inventory>

	define object <Mum's Card>
		article <it>
		gender <it>
	end define

end define

define room <Patrick_Inventory>

	define object <Patrick's Card>
		take
		article <it>
		gender <it>
	end define

end define

define room <Gen_Inventory>

	define object <Gen's Card>
		article <it>
		gender <it>
	end define

end define

define room <Berden_Inventory>

	define object <Berden's Card>
		article <it>
		gender <it>
	end define

end define

define timer <animals>
	interval <3>
	action {
		msg <Whoa, The animal's have gorn crazy!>
		timeroff <animals>
		msg <"Whoa, Look at the buities! I could start a ciurcus!" says Johnny as he walks in the farm "Here, Have some gum!">
		give <Gum>
		goto <Toddney Town>
		create exit south <Toddney Town; Johnny's Circus>
		create exit southeast <Field; Johnny's Circus>
		create exit out <Johnny's House; Johnny's Circus>
		move <Johnny; Johnny's Circus>
		if not got <Empty Pot> or not got <Cactus in Pot> or not got <Mum's Card> then move <Empty Pot; Johnny's Circus>
	}
	disabled
end define

define timer <circusover>
	interval <5>
	action {
		timeroff <circusover>
		msg <"That was great Johnny! Would you like to come to our place?" askes mum. "Sure" answers Johnny.>
		goto <Lounge Room>
		move <Johnny; Kitchen/Dining Room>
		move <Mum; Lounge Room>
	}
	disabled
end define

define text <intro>

end define

define text <win>

Hooray! You have Given everyone in your family something for christmas!
------------------------------------------------------------------

|                      |
[                                           ]
O

\___________/

------------------------------------------------------------------
Now that you have played and completed 'Kenny's Christmas Presents' try 'Kenny Presents - 101 ways to get Grounded'!
------------------------------------------------------------------
end define

define text <lose>

end define


